package cn.com.infosec.asn1.crmf;

import cn.com.infosec.asn1.ASN1Choice;
import cn.com.infosec.asn1.ASN1Encodable;
import cn.com.infosec.asn1.ASN1TaggedObject;
import cn.com.infosec.asn1.DERObject;

public class POPOPrivKey extends ASN1Encodable implements ASN1Choice {
   private DERObject obj;

   private POPOPrivKey(DERObject obj) {
      this.obj = obj;
   }

   public static ASN1Encodable getInstance(ASN1TaggedObject tagged, boolean explicit) {
      return new POPOPrivKey(tagged.getObject());
   }

   public DERObject toASN1Object() {
      return this.obj;
   }
}
